* {
    margin: 0;
    padding: 0;
    box-sizing: border-box;
    font-family: var(--font-text);
}

:root {
    --text-primary-color: #1e2939;
    --text-secondary-color: #4a5565;
    --background-buttons-color: #e5e7eb;

    --background-buttons-color-rgb: rgb(229, 231, 235, 0.3);

    --background-dark-color: #003159;

    --form-button-color: #00a6f4;

    --highlight-text: #ff6900;

    --purple-700: #6e11b0;
    --accent-color: #ad46ff;
    --secondary-accent-color: #dab2ff;

    --success-alert-background: #dcfce7;
    --success-alert-border: #008235;
    --success-alert-text: #026630;

    --success-alert-background-rgb: rgb(220, 252, 231, 0.5);

    --error-alert-text: #460809;
    --error-alert-background: rgb(193, 0, 7, 0.3);

    /* --gray-rgb: rgb(74, 85, 101, 0.3); */

    --font-title: 'Ubuntu', sans-serif;
    --font-text: 'Inter', sans-serif;
}

html {
    font-size: 16px;
}

body {
    background: linear-gradient(135deg, var(--background-buttons-color), var(--purple-700));
    /* overflow-x: hidden; */
}

main {
    padding: 2rem 9rem;
}

section {
    width: 100%;
    padding: 6rem 0rem;
}

h2 {
    font-size: 2rem;
}

h4 {
    font-size: 1.5rem;
}

img {
    width: 3.2rem;
}

.nav-bar-header {
    width: 100%;
    position: fixed;
    z-index: 10;
    top: 0;
    margin-top: 0.5rem;
}

.nav-bar-header .nav-bar{
    width: fit-content;
    margin: 0 auto;
    display: flex;
    justify-content: center;
    align-items: center;
    padding: 0.75rem;
    gap: 2rem;    
    background: rgba(var(--background-buttons-color));
    backdrop-filter: blur(10px);
    border: 0.07rem solid var(--text-secondary-color);
    border-radius: 5rem;
}

.nav-bar-header .nav-bar .nav-links {
    text-decoration: none;
    color: var(--text-secondary-color);
    transition: all 0.2s;
}

.nav-bar-header .nav-bar .nav-links:hover {
    color: var(--form-button-color);
}

/* Sección presentación general. */
section.presentation {
    display: flex;
    flex-direction: column;
    justify-content: center;
    align-items: start;
    /* padding: 0rem 9rem; */
    gap: 1rem;
}

.presentation .presentation-photo {
    display: flex;
    align-items: center;
    gap: 2rem;
    margin-top: 0rem;
}

.presentation-photo .profile-photo {
    width: 6.3rem;
    height: 6.3rem;
    border-radius: 100%;
}

.presentation-photo .available-banner {
    text-decoration: none;
    font-size: 0.8rem;
    color: var(--success-alert-text);
    padding: 0.4rem;
    border-radius: 1.25rem;
    background-color: var(--success-alert-background);
    border: 0.07rem solid var(--success-alert-border);
}

.presentation .personal-name {
    font-family: var(--font-title);
    font-size: 2.3rem;
}

.presentation .presentation-text {
    width: 43rem;
    overflow-wrap: break-word;
    font-size: 1rem;
}

.presentation .presentation-btns {
    display: flex;
    gap: 1rem;
}

.presentation .presentation-contact {
    display: flex;
    align-items: center;
    justify-content: center;
    gap: 0.5rem;
    padding: 0.2rem 0.5rem;
    background-color: var(--background-buttons-color);
    border-radius: 1.2rem;
    border: 0.07rem solid var(--accent-color);
    transition: all 0.2s;
}

.presentation .presentation-contact:hover {
    cursor: pointer;
    background-color: var(--secondary-accent-color);
    /* border: 1.5px solid var(--text-primary-color); */
}

.presentation .presentation-contact .presentation-contact-btn {
    text-decoration: none;
    color: var(--text-primary-color);
    font-weight: 500;
}

.presentation .presentation-contact .presentation-contact-svg {
    width: 1.5rem;
    height: 1.5rem;
}

/* Secciones secundarias - estilos generales. */
.section-title {
    display: flex;
    align-items: center;
    justify-content: start;
    gap: 1rem;
    margin-bottom: 3rem;
}

.section-title .section-icon {
    width: 2.25rem;
    height: 2.25rem;
}

.section-title .section-title-h2 {
    font-family: var(--font-title);
}

/* Sección experiencia laboral. */
.experience-card {
    display: grid;
    grid-template-columns: 12.5rem 1fr;
    gap: 4rem;
    margin-top: 4rem;
    align-items: start;
    justify-content: center;
    padding: 0rem 4rem;
}

.experience-menu {
    list-style: none;
    display: flex;
    flex-direction: column;
}

.experience-menu .experience-item .experience-company {
    width: 12.5rem;
    background: none;
    border: none;
    font-size: 1rem;
    overflow-wrap: break-word;
    text-transform: uppercase;
    padding: 1.5rem 0rem 1.5rem 0.25rem;
    display: flex;
    align-items: start;
    border-radius: 0.3rem;
}

.experience-menu .experience-item .experience-company:hover {
    border-right: 0.25rem solid var(--accent-color);
    background-color: var(--success-alert-background-rgb);
    cursor: pointer;
}

.experience-menu .experience-item .experience-company:focus {
    border-right: 0.25rem solid var(--accent-color);
    background-color: var(--success-alert-background-rgb);
}

.job-data {
    display: flex;
    flex-direction: column;
    gap: 0.5rem;
    /* padding-left: 25px; */
}

.job-title {
    margin-bottom: 0.75rem;
}

.job-title .company-title {
    text-transform: uppercase;
    font-weight: 500;
    margin-bottom: 0.5rem;
    font-family: var(--font-title);
    color: var(--text-primary-color);
    /* font-size: 27px; */
}

.job-title .company-working-years {
    margin-bottom: 0.5rem;
    color: var(--text-secondary-color);
}

.job-data .job-role {
    color: var(--purple-700);
}

.job-data .job-role-description {
    font-size: 1rem;
    color: var(--text-primary-color);
}

.job-footer {
    display: flex;
    gap: 1rem;
    margin-top: 1rem;
}

.job-footer .company-link, 
.job-footer .company-mail {
    text-decoration: none;
    display: flex;
    align-items: center;
    gap: 0.5rem;
    padding: 0.5rem 0.75rem;
    background-color: var(--background-buttons-color);
    border-radius: 0.7rem;
    border: 0.1rem solid var(--accent-color);
    color: var(--text-primary-color);
    transition: all 0.2s;
}

.job-footer .company-link:hover,
.job-footer .company-mail:hover {
    background-color: var(--secondary-accent-color);
}

/* Sección habilidades. */
#skills {
    padding-bottom: 0rem;
}

.skills-content {
    display: grid;
    grid-template-columns:repeat(auto-fit, minmax(9.5rem, 1fr));
    gap: 1rem;
}

.skills-content .skills-languages {
    display: flex;
    flex-direction: column;
    align-items: center;
    justify-content: center;
    gap: 1rem;
    padding: 1rem;
    border-radius: 0.5rem;
    background-color: var(--background-buttons-color-rgb);
    border: 0.1rem solid var(--background-buttons-color);
    transition: all 0.2s;
}

.skills-content .skills-languages:hover {
    transform: translateY(-0.5rem);
}

.skills-content .skills-languages .language-icon {
    width: 2.5rem;
    height: 2.5rem;
}

.skills-content .skills-languages {
    font-size: 1rem;
}

/* Sección proyectos. */
#projects {
    padding-bottom: 0rem;
}
.project {
    display: grid;
    grid-template-columns: 28rem 1fr;
    align-items: start;
    gap: 2.5rem;
}

.project .project-preview-image {
    width: 28rem;
    height: auto;
    border-radius: 0.7rem;
}

.project-description {
    margin-bottom: 5rem;
}

.project-description .project-title{
    margin-bottom: 1.5rem;
}

.project-description .project-languages {
    list-style: none;
    display: flex;
    gap: 0.5rem;
    margin-bottom: 0.75rem;
}

.project-languages .project-language-item {
    display: flex;
    align-items: center;
    justify-content: start;
    padding: 0.5rem 1.25rem 0.5rem 0.5rem;
    gap: 0.5rem;
    background-color: var(--purple-700);
    color: var(--background-buttons-color);
    border-radius: 1.5rem;
    font-size: 0.8rem;
}

.project-languages .project-language-item .project-language-icon {
    width: 1.5rem;
    height: 1.5rem;
}

.project-description .project-description-text {
    color: var(--text-primary-color);
    margin-bottom: 1.75rem;
}

.project-data {
    display: flex;
    gap: 1rem;
}

.project-data .project-link-icon {
    width: 1.5rem;
    height: 1.5rem;
}

.project-data .project-link {
    text-decoration: none;
    display: flex;
    align-items: center;
    gap: 0.5rem;
    padding: 0.5rem 0.75rem;
    background-color: var(--background-buttons-color);
    border-radius: 0.7rem;
    border: 0.1rem solid var(--accent-color);
    color: var(--text-primary-color);
    transition: all 0.2s;
}

.project-data .project-link:hover {
    background-color: var(--secondary-accent-color);
}

/* Sección contacto */
#contact {
    display: flex;
    flex-direction: column;
    align-items: center;
    justify-content: center;
}

.contact-form {
    width: 28rem;
    background-color: transparent;
    padding: 1.25rem;
    border-radius: 1rem;
    display: flex;
    flex-direction: column;
    align-items: center;
    box-shadow: 0 0.7rem 2rem rgba(0, 0, 0, 0.4);
}

.contact-form .message-form {
    width: 100%;
    display: flex;
    flex-direction: column;
    gap: 1rem;
}

.contact-form .message-form .form-input,
.contact-form .message-form .form-textarea {
    padding: 0.75rem;
    border-radius: 1rem;
    border: 0.15rem solid var(--purple-700);
    background-color: var(--background-buttons-color);
    color: var(--text-secondary-color);
    font-size: 1rem;
    outline: none;
}

.contact-form .message-form .form-input:focus,
.contact-form .message-form .form-textarea:focus {
    outline: 0.2rem solid var(--purple-700);
}

.contact-form .message-form .form-submit-btn {
    padding: 0.5rem 0.75rem;
    background: linear-gradient(135deg, var(--purple-700), var(--form-button-color));
    border-radius: 0.75rem;
    border: none;
    color: var(--background-buttons-color);
    font-size: 1.2rem;
    transition: all 0.2s;
}

.contact-form .message-form .form-submit-btn:hover {
    transform: translateY(-1px);
    box-shadow: 0 0.25rem 1.25rem rgba(154, 58, 228, 0.4);
    cursor: pointer;
}

.contact-form .message-form .error-message {
    background-color: var(--error-alert-background);
    border-radius: 0.75rem;
    color: var(--error-alert-text);
    padding: 0.5rem;
}

.contact-form .success-message {
    font-size: 1rem;
    color: var(--success-alert-text);
    padding: 0.75rem;
    border-radius: 0.75rem;
    background-color: var(--success-alert-background);
    border: 0.1rem solid var(--success-alert-border);
}

/* Footer */
.page-footer {
    display: flex;
    align-items: center;
    justify-content: center;
    padding: 1rem;
    background-color: var(--text-primary-color);
    color: var(--background-buttons-color);
}

/* Propiedades responsive */
@media (max-width: 1024px) {
    main {
        padding: 2rem 3rem;
    }

    section {
        padding: 4rem 1.5rem;
    }

    header nav {
        width: 95%;
        margin: 0.5rem auto;
        gap: 1rem;
        padding: 0.6rem;
    }

    .presentation p {
        width: 100%;
        font-size: 1rem;
    }

    .presentation h1 {
        font-size: 2.4rem;
    }

    .presentation-photo {
        gap: 1rem;
    }

    .presentation-photo img {
        width: 5.6rem;
        height: 5.6rem;
    }

    .experience-card {
        display: block;
        padding: 0 0.5rem;
    }

    .experience-menu {
        display: flex;
        flex-direction: row;
        overflow-x: auto;
        gap: 0.5rem;
        margin-bottom: 1rem;
        background-color: var(--background-buttons-color);
        border-radius: 0.75rem;
    }

    .experience-menu li button {
        min-width: 7.5rem;
        padding: 1rem 0.75rem;
        font-size: 0.95rem;
    }

    .experience-menu li button:focus {
        background-color: var(--secondary-accent-color);

        border: none;
    }

    .job-title h2 {
        font-size: 1.25rem;
    }

    .project {
        grid-template-columns: 1fr;
        padding: 0.5rem;
    }

    .project img {
        width: 100%;
        max-width: 100%;
    }

    .contact-form {
        width: 100%;
        max-width: 28rem;
        margin: 0 auto;
    }
}

@media (max-width: 768px) {
    body {
        background: linear-gradient(135deg, var(--background-buttons-color), var(--purple-700));

    }

    main {
        padding: 1rem;
    }

    header {
        display: none;
    }

    .presentation {
        align-items: center;
        text-align: center;
    }

    .presentation-photo {
        flex-direction: column;
        align-items: start;
        justify-content: center;
    }

    .presentation h1 {
        font-size: 2rem;
    }

    .presentation p {
        width: 100%;
        font-size: 1rem;
    }

    .presentation .presentation-btns {
        flex-direction: column;
        width: 100%;
    }

    .presentation .presentation-contact {
        width: 100%;
        justify-content: center;
    }

    .skills-content {
        grid-template-columns: repeat(auto-fit, minmax(7.5rem, 1fr));
    }

    .project-data,
    .job-footer {
        flex-direction: column;
        align-items: stretch;
    }

    .project-languages {
        flex-wrap: wrap;
    }

    .contact-form {
        box-shadow: none;
        border: 0.1rem solid rgba(0,0,0,0.1);
    }

    .contact-form form input,
    .contact-form form textarea {
        font-size: 1rem;
    }

    .contact-form form button {
        font-size: 1rem;
    }
}

@font-face {
  font-family: 'Inter';
  src: url('./assets/fonts/Inter_18pt-Regular.ttf') format('truetype');
  font-weight: 400;
  font-style: normal;
}

@font-face {
  font-family: 'Ubuntu';
  src: url('./assets/fonts/Ubuntu-Regular.ttf') format('truetype');
  font-weight: 400;
  font-style: normal;
}